package com.bytedance.android.livesdk.model.message;

import X.C3553GuA;
import X.C4453HKs;
import X.C4514HNb;
import com.bytedance.android.live.base.model.user.User;
import com.bytedance.android.livesdk.model.Gift;
import com.bytedance.android.livesdk.model.GiftTrayInfo;
import com.bytedance.android.livesdk.model.message.common.Text;
import com.bytedance.covode.number.Covode;
import com.google.gson.Gson;
import com.google.gson.a.c;

public class GiftMessage extends C3553GuA {
    public transient boolean LIZ;
    public transient C4514HNb LIZIZ;
    @c(LIZ = "user")
    public User LIZJ;
    @c(LIZ = "to_user")
    public User LIZLLL;
    @c(LIZ = "gift_id")
    public long LJ;
    @c(LIZ = "repeat_count")
    public int LJFF;
    @c(LIZ = "fan_ticket_count")
    public int LJI;
    @c(LIZ = "room_fan_ticket_count")
    public long LJII;
    @c(LIZ = "is_first_sent")
    public boolean LJIIIIZZ;
    @c(LIZ = "display_text_for_anchor")
    public Text LJIIIZ;
    @c(LIZ = "display_text_for_audience")
    public Text LJIILJJIL;
    @c(LIZ = "repeat_end")
    public int LJIILL;
    @c(LIZ = "combo_count")
    public int LJIILLIIL;
    @c(LIZ = "group_count")
    public int LJIIZILJ;
    @c(LIZ = "group_id")
    public long LJIJ;
    @c(LIZ = "text_effect")
    public TextEffect LJIJI;
    public transient boolean LJIJJ;
    public transient boolean LJIJJLI;
    @c(LIZ = "gift")
    public Gift LJIL;
    @c(LIZ = "tray_info")
    public GiftTrayInfo LJJ;
    @c(LIZ = "order_id")
    public String LJJI;
    @c(LIZ = "log_id")
    public String LJJIFFI = "";
    public transient String LJJII;
    @c(LIZ = "monitor_info")
    public GiftMonitorInfo LJJIII;
    @c(LIZ = "income_taskgifts")
    public Long LJJIIJ;
    @c(LIZ = "priority")
    public GiftIMPriority LJJIIJZLJL;
    @c(LIZ = "send_type")
    public Long LJJIIZ;
    @c(LIZ = "public_area_common")
    public PublicAreaCommon LJJIIZI;
    @c(LIZ = "tray_display_text")
    public Text LJJIJ;
    @c(LIZ = "banned_display_effects")
    public Long LJJIJIIJI;
    @c(LIZ = "color_id")
    public Long LJJIJIIJIL;

    static {
        Covode.recordClassIndex(19047);
    }

    public final boolean LIZIZ() {
        if (this.LIZJ != null) {
            return true;
        }
        return false;
    }

    public GiftMessage() {
        this.LJJIL = C4453HKs.GIFT;
    }

    public final boolean LIZ() {
        if (this.LJJJJ == null || this.LJJJJ.LJIIIZ == null) {
            return false;
        }
        return true;
    }

    public String toString() {
        long j;
        StringBuilder sb = new StringBuilder("GiftMessage{fromUserId=");
        sb.append(this.LIZJ);
        sb.append(", toUserId=");
        User user = this.LIZLLL;
        if (user != null) {
            j = user.getId();
        } else {
            j = 0;
        }
        sb.append(j);
        sb.append(", giftId=");
        sb.append(this.LJ);
        sb.append(", repeatCount=");
        sb.append(this.LJFF);
        sb.append(", fanTicketCount=");
        sb.append(this.LJI);
        sb.append(", repeatEnd=");
        sb.append(this.LJIILL);
        sb.append(", comboCount=");
        sb.append(this.LJIILLIIL);
        sb.append(", groupCount=");
        sb.append(this.LJIIZILJ);
        sb.append(", groupId=");
        sb.append(this.LJIJ);
        sb.append(", textEffect=");
        sb.append(new Gson().LIZIZ(this.LJIJI));
        sb.append(", isUrgent=");
        sb.append(this.LJIJJ);
        sb.append(", isLocal=");
        sb.append(this.LJIJJLI);
        sb.append('}');
        return sb.toString();
    }
}
